score.pca {ade4} | R Documentation

## Graphs to Analyse a factor in PCA

### Description

performs the canonical graph of a Principal Component Analysis.

### Usage

    ## S3 method for class 'pca'
    score(x, xax = 1, which.var = NULL, mfrow = NULL, csub = 2,
        sub = names(x$tab), abline = TRUE, ...)

### Arguments

`x` | an object of class `pca`
`xax` | the column number for the used axis
`which.var` | the numbers of the kept columns for the analysis, otherwise all columns
`mfrow` | a vector of the form "c(nr,nc)", otherwise computed by a special own function `n2mfrow`
`csub` | a character size for sub-titles, used with `par("cex")*csub`
`sub` | a vector of string of characters to be inserted as sub-titles, otherwise the names of the variables
`abline` | a logical value indicating whether a regression line should be added
`...` | further arguments passed to or from other methods

### Author(s)

Daniel Chessel

### Examples

    data(deug)
    dd1 <- dudi.pca(deug$tab, scan = FALSE)
    score(dd1)

    # The correlations are :
    dd1$co[,1]
    # [1] 0.7925 0.6532 0.7410 0.5287 0.5539 0.7416 0.3336 0.2755 0.4172

[Package ade4 version 1.7-13 Index]